Olympus Docs
ReferenceAPIsOry Identities APIidentity

List All Sessions

Listing all sessions that exist.

GET /admin/sessions

Listing all sessions that exist.

Operation ID: listSessions    Tag: identity

Query parameters

NameTypeRequiredDescription
page_sizeinteger (int64)noItems per Page This is the number of items per page to return. For details on pagination please head over to the pagination documentation.
page_tokenstringnoNext Page Token The next page token. For details on pagination please head over to the pagination documentation.
activebooleannoActive is a boolean flag that filters out sessions based on the state. If no value is provided, all sessions are returned.
expandarray of enum: identity, devicesnoExpandOptions is a query parameter encoded list of all properties that must be expanded in the Session. If no value is provided, the expandable properties are skipped.

Responses

StatusDescriptionBody
200Session List Response The response given when listing sessions in an administrative context.application/json, array of object
400errorGenericapplication/json, object
defaulterrorGenericapplication/json, object

Security

  • oryAccessToken

Generated from /tmp/kratos-api.json at build time.

On this page